Bug 440211 - Review Request: latex2emf - Create an EMF file from LaTeX source
Review Request: latex2emf - Create an EMF file from LaTeX source
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-02 06:41 EDT by Alex Lancaster
Modified: 2013-07-18 16:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-09 08:11:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
michel: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Alex Lancaster 2008-04-02 06:41:56 EDT
Spec URL: http://alexlan.fedorapeople.org/reviews/latex2emf.spec
SRPM URL: http://alexlan.fedorapeople.org/reviews/latex2emf-1.0.0-1.src.rpm
Description: 
This program creates EMF files from LaTeX source.  It is used by the
OpenOffice.org extension "ooolatex" to allow display of LaTeX
equations inside Writer and Impress documents

Successful koji build is here:

http://koji.fedoraproject.org/koji/taskinfo?taskID=543745
Comment 1 Alex Lancaster 2008-04-02 06:43:12 EDT
This is a prerequisite for the OOoLaTeX extension:

http://ooolatex.sourceforge.net/

which I will open up in a separate review bug soon and make dependent on this bug.
Comment 2 Michel Alexandre Salim 2008-04-03 10:46:27 EDT
Package meets naming and packaging guidelines: YES
 - Spec file matches base package name.: YES
 - Spec has consistent macro usage.  YES
 - Meets Packaging Guidelines. YES
 - License: GPLv2+
 - License field in spec matches: YES
 - License file included in package: YES
 - Spec in American English: YES
 - Spec is legible.: YES
 - Sources match upstream md5sum:
MD5(OOoLatexEmf_noarch_src.tar.gz)= ad1ab04077828e91a4df906a850bc013
 - Package needs ExcludeArch: NO
 - BuildRequires correct: YES (builds correctly in koji/mock, see under SHOULD
items)
 - Spec handles locales/find_lang: N/A
 - Package is relocatable and has a reason to be.:  N/A
 - Package has %defattr and permissions on files is good.: YES
 - Package has a correct %clean section. YES
 - Package has correct buildroot: YES
      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 - Package is code or permissible content: YES
 - Doc subpackage needed/used.: NO
 - Packages %doc files don't affect runtime.: YES


 - Package compiles and builds on at least one arch. YES (F-9, x86_64)
 - Package has no duplicate files in %files. YES
 - Package doesn't own any directories other packages own.  YES
 - Package owns all the directories it creates. N/A
 - rpmlint output.

rpmlint latex2emf-1* : clean


 - final provides and requires are sane (glibc, rpmlib provides removed): yes


SHOULD Items:

 - Should build in mock: YES
 - Should build on all supported archs: YES (see above)
 - Should function as described.  YES: tested on F-9. Works on one source file,
breaks on another: "cannot get font size for  ..." 
 - Should have sane scriptlets. YES
 - Should have subpackages require base package with fully versioned depend. N/A
 - Should have dist tag  YES
 - Should package latest version YES

Issues:
Breaks on the one file I mentioned; documentation does not specify usage (-bb ?
-transp ?). But these are issues for upstream.

APPROVED
Comment 3 Alex Lancaster 2008-04-03 20:00:05 EDT
New Package CVS Request
=======================
Package Name: latex2emf
Short Description: Create EMF files from LaTeX source
Owners: alexlan
Branches: F-7 F-8
InitialCC: 
Cvsextras Commits: yes
Comment 4 Kevin Fenzi 2008-04-04 12:07:52 EDT
cvs done.
Comment 5 Fedora Update System 2008-04-04 21:37:23 EDT
latex2emf-1.0.0-2.fc8 has been submitted as an update for Fedora 8
Comment 6 Fedora Update System 2008-04-04 21:38:39 EDT
latex2emf-1.0.0-2.fc7 has been submitted as an update for Fedora 7
Comment 7 Fedora Update System 2008-04-09 01:18:15 EDT
latex2emf-1.0.0-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-04-09 01:21:56 EDT
latex2emf-1.0.0-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Alex Lancaster 2008-04-09 08:11:36 EDT
Built in rawhide/F-9 and now pushed for F-7, F-8.  Closing bug.
Comment 10 Orion Poplawski 2013-07-18 16:15:21 EDT
Package Change Request
======================
Package Name: latex2emf
New Branches: el6
Owners: orion alexlan
InitialCC: 

Need this as well for openoffice.org-ooolatex
Comment 11 Jon Ciesla 2013-07-18 16:19:56 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.